package com.sliit.smartserviceassistant;

public class DataModal {

    // string variables for our name and job
    private String vehicle_type;
    private String brand;
    private String model;
    private String engine_type;
    private String mileage_range;
    private String mileage;
    private int oil_filter;
    private int washer_plug_drain;
    private int Wheel_alignment_and_balance;
    private int Fuel_filter;
    private int Break_fluid;
    private int Transmission_Fluid;
    private int clutch;
    private int Engine_Oil;
    private int Dust_and_pollen_filter;
    private int Air_clean_filter;
    private int Spark_plug;
    private int Break_and_Clutch_oil;
    private int Break_Pads;
    private int Coolant;





    public float getPredictedVal() {
        return PredictedVal;
    }

    private float PredictedVal;

    public void setVehicle_type(String vehicle_type) {
        this.vehicle_type = vehicle_type;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public void setEngine_type(String engine_type) {
        this.engine_type = engine_type;
    }

    public void setMake_year(String make_year) {
        this.make_year = make_year;
    }

    public void setOil_filter(int oil_filter) {
        this.oil_filter = oil_filter;
    }

    public void setWasher_plug_drain(int washer_plug_drain) {
        this.washer_plug_drain = washer_plug_drain;
    }

    public void setWheel_alignment_and_balance(int wheel_alignment_and_balance) {
        Wheel_alignment_and_balance = wheel_alignment_and_balance;
    }

    public void setFuel_filter(int fuel_filter) {
        Fuel_filter = fuel_filter;
    }

    public void setBreak_fluid(int break_fluid) {
        Break_fluid = break_fluid;
    }

    public void setTransmission_Fluid(int transmission_Fluid) {
        Transmission_Fluid = transmission_Fluid;
    }

    public void setClutch(int clutch) {
        this.clutch = clutch;
    }

    public void setEngine_Oil(int engine_Oil) {
        Engine_Oil = engine_Oil;
    }

    public void setDust_and_pollen_filter(int dust_and_pollen_filter) {
        Dust_and_pollen_filter = dust_and_pollen_filter;
    }

    public void setAir_clean_filter(int air_clean_filter) {
        Air_clean_filter = air_clean_filter;
    }

    public void setSpark_plug(int spark_plug) {
        Spark_plug = spark_plug;
    }

    public void setBreak_and_Clutch_oil(int break_and_Clutch_oil) {
        Break_and_Clutch_oil = break_and_Clutch_oil;
    }

    public void setBreak_Pads(int break_Pads) {
        Break_Pads = break_Pads;
    }

    public void setCoolant(int coolant) {
        Coolant = coolant;
    }

    public int getOil_filter() {
        return oil_filter;
    }

    public int getWasher_plug_drain() {
        return washer_plug_drain;
    }

    public int getWheel_alignment_and_balance() {
        return Wheel_alignment_and_balance;
    }

    public int getFuel_filter() {
        return Fuel_filter;
    }

    public int getBreak_fluid() {
        return Break_fluid;
    }

    public int getTransmission_Fluid() {
        return Transmission_Fluid;
    }

    public int getClutch() {
        return clutch;
    }

    public int getEngine_Oil() {
        return Engine_Oil;
    }

    public int getDust_and_pollen_filter() {
        return Dust_and_pollen_filter;
    }

    public int getAir_clean_filter() {
        return Air_clean_filter;
    }

    public int getSpark_plug() {
        return Spark_plug;
    }

    public int getBreak_and_Clutch_oil() {
        return Break_and_Clutch_oil;
    }

    public int getBreak_Pads() {
        return Break_Pads;
    }

    public int getCoolant() {
        return Coolant;
    }

    public void setMileage_range(String mileage_range) {
        this.mileage_range = mileage_range;
    }



    public void setMileage(String mileage) {
        this.mileage = mileage;
    }

    private String make_year;

    public String getVehicle_type() {
        return vehicle_type;
    }

    public String getBrand() {
        return brand;
    }

    public String getModel() {
        return model;
    }

    public String getEngine_type() {
        return engine_type;
    }

    public String getMake_year() {
        return make_year;
    }

    public String getMileage_range() {
        return mileage_range;
    }



    public String getMileage() {
        return mileage;
    }



    public DataModal(String vehicle_type,
                     String brand,
                     String model,
                     String engine_type,
                     String make_year,
                     String mileage_range,
                     String mileage,
                     int oil_filter,
                     int washer_plug_drain,
                     int Wheel_alignment_and_balance,
                     int Fuel_filter,
                     int Break_fluid,
                     int Transmission_Fluid,
                     int clutch,
                     int Engine_Oil,
                     int Dust_and_pollen_filter,
                     int Air_clean_filter,
                     int Spark_plug,
                     int Break_and_Clutch_oil,
                     int Break_Pads,
                     int Coolant
    ) {
        this.vehicle_type=vehicle_type;
        this.brand=brand;
        this.model=model;
        this.engine_type=engine_type;
        this.make_year=make_year;
        this.mileage_range=mileage_range;


                this.mileage=mileage;
                this.oil_filter=oil_filter;
                this.washer_plug_drain=washer_plug_drain;
                this.Wheel_alignment_and_balance=Wheel_alignment_and_balance;
                this.Fuel_filter=Fuel_filter;
                this.Break_fluid=Break_fluid;
                this.Transmission_Fluid=Transmission_Fluid;
                this.clutch=clutch;
                this.Engine_Oil=Engine_Oil;
                this.Dust_and_pollen_filter=Dust_and_pollen_filter;
                this.Air_clean_filter=Air_clean_filter;
                this.Spark_plug=Spark_plug;
                this.Break_and_Clutch_oil=Break_and_Clutch_oil;
                this.Break_Pads=Break_Pads;
                this.Coolant=Coolant;

        // this.name = name;
        //this.job = job;
    }






}